StarObjectPageStyleInternal::NoteDesc Struct Reference

structure to store a endnote/footnote page description More...

## Public Member Functions

| NoteDesc (bool isFootnote)
| constructor
bool | read (StarZone &zone)
| try to read a noteDesc: '1' or '2'

## Public Attributes

bool | m_isFootnote
| a flag to know if this corresponds to a footnote or a endnote
float | m_distances [4]
| the width/height/topDist/bottomDist
int | m_adjust
| the adjust
int | m_penWidth
| the pen's width
STOFFColor | m_color
| the color

## Friends

std::ostream & | operator<< (std::ostream &o, NoteDesc const &desc)
| operator<<

## Detailed Description

structure to store a endnote/footnote page description

## Constructor & Destructor Documentation

## NoteDesc()

StarObjectPageStyleInternal::NoteDesc::NoteDesc | ( | bool | isFootnote | ) |

inline explicit

constructor

Referenced by operator<<.

## Member Function Documentation

## read()

bool StarObjectPageStyleInternal::NoteDesc::read | ( | StarZone & | zone | ) |

try to read a noteDesc: '1' or '2'

## Friends And Related Symbol Documentation

## operator<<

std::ostream & operator<< | ( | std::ostream & | o,
|  | NoteDesc const & | desc )

friend

operator<<

## Member Data Documentation

## m_adjust

int StarObjectPageStyleInternal::NoteDesc::m_adjust

the adjust

Referenced by NoteDesc(), operator<<, and read().

## m_color

STOFFColor StarObjectPageStyleInternal::NoteDesc::m_color

the color

Referenced by NoteDesc(), operator<<, and read().

## m_distances

float StarObjectPageStyleInternal::NoteDesc::m_distances[4]

the width/height/topDist/bottomDist

Referenced by NoteDesc(), operator<<, and read().

## m_isFootnote

bool StarObjectPageStyleInternal::NoteDesc::m_isFootnote

a flag to know if this corresponds to a footnote or a endnote

Referenced by NoteDesc(), operator<<, and read().

## m_penWidth

int StarObjectPageStyleInternal::NoteDesc::m_penWidth

the pen's width

Referenced by NoteDesc(), operator<<, and read().

The documentation for this struct was generated from the following file:

- StarObjectPageStyle.cxx